Debian Bug report logs - #661906
FTBFS

version graph

Package: milkytracker; Maintainer for milkytracker is Gürkan Sengün <gurkan@phys.ethz.ch>; Source for milkytracker is src:milkytracker.

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Fri, 2 Mar 2012 13:33:02 UTC

Severity: serious

Tags: patch

Found in version milkytracker/0.90.85+dfsg-2

Fixed in version milkytracker/0.90.85+dfsg-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#661906; Package milkytracker. (Fri, 02 Mar 2012 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Fri, 02 Mar 2012 13:33:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS
Date: Fri, 02 Mar 2012 14:31:19 +0100
Package: milkytracker
Version: 0.90.85+dfsg-2
Severity: serious

Your package fails to build from source:

.cpp
mv -f .deps/MyIO.Tpo .deps/MyIO.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT Decompressor.o -MD -MP -MF .deps/Decompressor.Tpo -c -o Decompressor.o Decompressor.cpp
mv -f .deps/Decompressor.Tpo .deps/Decompressor.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT DecompressorUMX.o -MD -MP -MF .deps/DecompressorUMX.Tpo -c -o DecompressorUMX.o DecompressorUMX.cpp
mv -f .deps/DecompressorUMX.Tpo .deps/DecompressorUMX.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT DecompressorPP20.o -MD -MP -MF .deps/DecompressorPP20.Tpo -c -o DecompressorPP20.o DecompressorPP20.cpp
mv -f .deps/DecompressorPP20.Tpo .deps/DecompressorPP20.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT unlha.o -MD -MP -MF .deps/unlha.Tpo -c -o unlha.o `test -f 'lha/unlha.cpp' || echo './'`lha/unlha.cpp
mv -f .deps/unlha.Tpo .deps/unlha.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT DecompressorZIP.o -MD -MP -MF .deps/DecompressorZIP.Tpo -c -o DecompressorZIP.o DecompressorZIP.cpp
mv -f .deps/DecompressorZIP.Tpo .deps/DecompressorZIP.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT DecompressorLHA.o -MD -MP -MF .deps/DecompressorLHA.Tpo -c -o DecompressorLHA.o DecompressorLHA.cpp
mv -f .deps/DecompressorLHA.Tpo .deps/DecompressorLHA.Po
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/milkyplay -I../../src/ppui -I../../src/ppui/osinterface/posix/ -I../../src/compression/lha -I../../src/compression/zziplib/ -I../../src/compression/zziplib/generic  -D__FORCE_SDL_AUDIO__  -g -O2 -MT DecompressorGZIP.o -MD -MP -MF .deps/DecompressorGZIP.Tpo -c -o DecompressorGZIP.o DecompressorGZIP.cpp
DecompressorGZIP.cpp: In member function ‘virtual bool DecompressorGZIP::decompress(const PPString&, DecompressorBase::Hints)’:
DecompressorGZIP.cpp:64:68: error: invalid conversion from ‘void**’ to ‘gzFile_s**’ [-fpermissive]
DecompressorGZIP.cpp:74:50: error: cannot convert ‘gzFile_s**’ to ‘gzFile’ for argument ‘1’ to ‘int gzread(gzFile, voidp, unsigned int)’
DecompressorGZIP.cpp:87:31: error: cannot convert ‘gzFile_s**’ to ‘gzFile’ for argument ‘1’ to ‘int gzclose(gzFile)’
make[5]: *** [DecompressorGZIP.o] Fehler 1
make[5]: Leaving directory `/home/jmm/milkytracker-0.90.85+dfsg/src/compression'
make[4]: *** [all-recursive] Fehler 1
make[4]: Leaving directory `/home/jmm/milkytracker-0.90.85+dfsg/src/compression'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/home/jmm/milkytracker-0.90.85+dfsg/src'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/home/jmm/milkytracker-0.90.85+dfsg'
make[1]: *** [all] Fehler 2
make[1]: Leaving directory `/home/jmm/milkytracker-0.90.85+dfsg'
make: *** [build-stamp] Fehler 2
dpkg-buildpackage: Fehler: Fehler-Exitstatus von debian/rules build war 2




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#661906; Package milkytracker. (Sat, 10 Mar 2012 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sat, 10 Mar 2012 07:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 661906@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 661906@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: milkytracker: FTBFS: patch
Date: Sat, 10 Mar 2012 15:55:06 +0800
[Message part 1 (text/plain, inline)]
tags 661906 + patch
thanks

I found a patch for this issue on the Arch Linux site (also attached)
and checked that it fixes the build failure.

http://ix.io/2aC

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[fix-FBTS-with-new-zlib.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 10 Mar 2012 07:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#661906; Package milkytracker. (Sun, 18 Mar 2012 13:27:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 18 Mar 2012 13:27:21 GMT) Full text and rfc822 format available.

Message #17 received at 661906@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 661906@bugs.debian.org
Subject: milkytracker: diff for NMU version 0.90.85+dfsg-2.1
Date: Sun, 18 Mar 2012 14:22:36 +0100
[Message part 1 (text/plain, inline)]
tags 661906 + pending
thanks

Dear maintainer,

I've prepared an NMU for milkytracker (versioned as 0.90.85+dfsg-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[milkytracker-0.90.85+dfsg-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 18 Mar 2012 13:27:24 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 20 Mar 2012 13:36:04 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 13:36:05 GMT) Full text and rfc822 format available.

Message #24 received at 661906-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 661906-close@bugs.debian.org
Subject: Bug#661906: fixed in milkytracker 0.90.85+dfsg-2.1
Date: Tue, 20 Mar 2012 13:33:35 +0000
Source: milkytracker
Source-Version: 0.90.85+dfsg-2.1

We believe that the bug you reported is fixed in the latest version of
milkytracker, which is due to be installed in the Debian FTP archive:

milkytracker_0.90.85+dfsg-2.1.debian.tar.gz
  to main/m/milkytracker/milkytracker_0.90.85+dfsg-2.1.debian.tar.gz
milkytracker_0.90.85+dfsg-2.1.dsc
  to main/m/milkytracker/milkytracker_0.90.85+dfsg-2.1.dsc
milkytracker_0.90.85+dfsg-2.1_amd64.deb
  to main/m/milkytracker/milkytracker_0.90.85+dfsg-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated milkytracker package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Mar 2012 14:18:55 +0100
Source: milkytracker
Binary: milkytracker
Architecture: source amd64
Version: 0.90.85+dfsg-2.1
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 milkytracker - music creation tool inspired by Fast Tracker 2
Closes: 661906
Changes: 
 milkytracker (0.90.85+dfsg-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS": add patch ftbfs-gzip.patch from Arch Linux, found by Paul
     Wise. (Closes: #661906)
Checksums-Sha1: 
 5f9da14f354508468c0fd8ce0cc9d0047286b868 1926 milkytracker_0.90.85+dfsg-2.1.dsc
 28bdb5d39dfee7329d3da4b13e1b7c23ee93fb92 8417 milkytracker_0.90.85+dfsg-2.1.debian.tar.gz
 f60792b2547fc588ccdeb7f925edb439b1472605 1270636 milkytracker_0.90.85+dfsg-2.1_amd64.deb
Checksums-Sha256: 
 a03f58a774fd4a9c121e29f00c7e8decbc52b2d233e2f398ecb7704937a8b08f 1926 milkytracker_0.90.85+dfsg-2.1.dsc
 fda6a5ae5d78ed03b1b3ef57d0dc70eea433b6dc5b05f7f548a9b9ede04bb853 8417 milkytracker_0.90.85+dfsg-2.1.debian.tar.gz
 6e4cb813c5a1848dd30038758f440a546ef723021f9dcdc96e1b7efc8c8469ea 1270636 milkytracker_0.90.85+dfsg-2.1_amd64.deb
Files: 
 d09b68aafaa3e05ebb52e2ff8c775da7 1926 sound optional milkytracker_0.90.85+dfsg-2.1.dsc
 c2eed7cb0acb8918e4d7a310d3018bcb 8417 sound optional milkytracker_0.90.85+dfsg-2.1.debian.tar.gz
 b45d8d82c0a696ca7f846eb9aedb5c60 1270636 sound optional milkytracker_0.90.85+dfsg-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPZeEYAAoJELs6aAGGSaoGMgAQALWrhVyvG0Iktvh+lKifqgHd
sii9fOW5GjWmFvXlPWDFQrRJlNUVU61eigyMaOelx7shgPFTEA1Zh4CGiZeeVsDs
Rf5etukzWMYmjvh9QTKm1zbVLBJloS2nYiITdTGd2IVS1SqGOGK/hrLwTE4Ip9jT
lnYIoFAleZbZ6yyw5j66QC6dXBpA8zxS/OnWnY1mxFnfsBq8qx1BpapbLOWXLRXs
QwKmMeyTIGCKGIHE1wlegaa0XhhF3uwAieLEuMrk0/rj7cFEMCfqpl5wyWVKIfOs
LkmrP4qW9Ts338kg30grvuJ0W0XGpfAaApJFWfxIu3CU5zPCXK42sVl9aR9vxUCi
DGX7W71nmhNNLHXCYf7+ApiONaKpMWK3qw8Rrg+Xt4Vq6wL3hjEQtHwQENtLBhyh
/MJIR6ZUctufXcaXQ6LmXAKkHBBrFDboqs/cAGPY96X7DIKgpPS8wCDXHJzjrQww
PlDrFd+dPyPjO4tjzu23xlZeS5zPP9zJyFnppU/RpI54fmZEL3mUxKaw5bX8d9QE
83/xthtx7D4AT6XpUeV7ZNfB6rw1ybCgXL33ctx7Jk34ARe3A5sTfLyAqVwbms2j
sEHM3MWHyoKxj1bJYft3bNR1q2ybH0kCCsFbjbIIMtaD1Yv1NJYzTmw/DYnraVk8
8VfWRkYSAMc5EJxZxd7U
=5v5S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Apr 2012 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:32:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.